Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » EGL Development Tools » Eclipse IDE for EGL web Developers(Error when making the service call )
Eclipse IDE for EGL web Developers [message #803709] Tue, 21 February 2012 12:33 Go to next message
yuvaraj g is currently offline yuvaraj g
Messages: 17
Registered: February 2012
Junior Member
Hello,

We are new to this Eclipse IDE for EGL Web Developers, We just downloaded the opensource and followed the steps in "EDT:Tutorial: RUI With Database Introduction" to create RICH UI application. Database is iSeries(V6R1).

After deploying into the apache-tomcat-7.0.20-windows-x86server, when we tried to run the PaymentFileMaintenance.html we are getting the following error

Failure: [CRRUI3657E] Cannot find proxy at '/PaymentWeb/___proxy' to make service calls
Detail 1: 404
Detail 2: Not Found
Detail 3:[/color]

Attached the screenshot

When we do preview, its working fine, i.e. it adds/updates/deletes record into the database. Only when we deploy and run its throwing the above error.

Can anyone please suggest what might be wrong and how to fix it?

Thanks in advance
Re: Eclipse IDE for EGL web Developers [message #803804 is a reply to message #803709] Tue, 21 February 2012 15:54 Go to previous messageGo to next message
Joseph Vincens is currently offline Joseph Vincens
Messages: 31
Registered: December 2011
Location: Prospect CT
Member
Hi

This looks like a deployment bug.
Tomcat 7 uses Dynamic Web Module version 3.0. With Dynamic Web Module version 3.0 the Deployment Descriptor (web.xml) is optional.
When EDT deploys an application it creates entries in the web.xml. This is a new 3.0 project and the web.xml is not there, so the servlets required by the EDT runtime are not registered and therefore seen by the server.

There are a few solutions.


  1. I have not tested every aspect of a deployed application but you can solve your problem by creating the Deployment Descriptor. Select the target (project the project you are deploying to), right click and go to Java EE Tools > Generate Deployment Descriptor Stub. Redeploy, restart the server and rerun your application and the proxy should be found.
  2. When you create the new web project set the Dynamic Web Version to 2.5.
  3. Use Tomcat 6.x


Please open a bugzilla defect for this problem. htps://bugs.eclipse.org/bugs/enter_bug.cgi?product=EDT

regards,
Joe
Re: Eclipse IDE for EGL web Developers [message #804097 is a reply to message #803804] Wed, 22 February 2012 02:36 Go to previous message
yuvaraj g is currently offline yuvaraj g
Messages: 17
Registered: February 2012
Junior Member
Thank you so much for your reply Joe.

As you suggested we used web.xml for existing Dynamic web module version 3.0 and Tomcat v7.0 itself, now its working fine.

By default if we select Dynamic web module version 3.0, "generate web.xml deployment descriptor" option in the consecutive screen is not selected. We recreated the Dynamic web project with that option selected and deployed(attached screen shot). Now we are not getting that the error.

Thank you again..
Previous Topic:Stakeholder Meeting - Wednesday, February 8, 10am EST
Next Topic:Support for primitives
Goto Forum:
  


Current Time: Tue Sep 02 13:08:14 EDT 2014

Powered by FUDForum. Page generated in 0.01824 seconds